<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Latest News From Hugh" />
<meta property="og:description" content="Latest news from Hugh Hancock&#39;s VR development work" />
<meta property="og:type" content="website" />
<meta property="og:url" content="http://www.strangecompany.org/news/" />


<meta property="og:updated_time" content="2013-11-29T14:13:00&#43;00:00"/>










<meta itemprop="name" content="Latest News From Hugh">
<meta itemprop="description" content="Latest news from Hugh Hancock&#39;s VR development work">










<meta name="generator" content="Hugo 0.18" />


    <link rel="canonical" href="../../index.html">

    <title>Strange Company - Creating Virtual Worlds For 2 Decades</title>

    <!-- combined, minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">

    

    
<script>
window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
ga('create', 'UA-696676-12', 'auto');
ga('send', 'pageview');
</script>
<script async src='http://www.google-analytics.com/analytics.js'></script>


    

    


	
<style>

  @font-face{font-family:FontAwesome;src:url(http://www.strangecompany.org/news/page/fonts/fontawesome-webfont.eot?v=4.7.0);src:url(http://www.strangecompany.org/news/page/fonts/fontawesome-webfont.eot?) format("embedded-opentype"),url(http://www.strangecompany.org/news/page/fonts/fontawesome-webfont.woff2?v=4.7.0) format("woff2"),url(http://www.strangecompany.org/news/page/fonts/fontawesome-webfont.woff?v=4.7.0) format("woff"),url(http://www.strangecompany.org/news/page/fonts/fontawesome-webfont.ttf?v=4.7.0) format("truetype"),url(http://www.strangecompany.org/news/page/fonts/fontawesome-webfont.svg?v=4.7.0) format("svg");font-weight:400;font-style:normal}.fa{display:inline-block;font:normal normal normal 14px/1 FontAwesome;font-size:inherit;text-rendering:auto;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.fa-lg{font-size:1.333333em;line-height:.75em;vertical-align:-15%}.fa-2x{font-size:2em}.fa-3x{font-size:3em}.fa-4x{font-size:4em}.fa-5x{font-size:5em}.fa-fw{width:1.285714em;text-align:center}.fa-tag:before{content:""}.fa-folder:before{content:""}.fa-facebook:before{content:""}.fa-google-plus:before{content:""}.fa-linkedin:before{content:""}.fa-rss:before{content:""}.fa-rss-square:before{content:""}.fa-twitter:before{content:""}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);border:0}.sr-only-focusable:active,.sr-only-focusable:focus{position:static;width:auto;height:auto;margin:0;overflow:visible;clip:auto}

h1{
    padding-bottom: 1em;
}
.intro {
	padding: 1em 0 2.6em 0;
	text-align: center;
}
.intro img {
	max-height: 160px;
	border-radius: 50%;
}
.container{
    max-width: 1000px; 
}
h2{
    font-size:2em;
}
body {
	color: #333;
	font-family: 'Noticia Text', Georgia, serif;
	font-size: 1em;
	line-height: 1.5625;
	-webkit-text-size-adjust: none;
}

blockquote {
	position: relative;
	margin: 2em 0;
	padding: .4em 1.2em;
	font-size: 1.25em;
	font-weight: 400;
	font-style: italic;
	line-height: 1.5;
}

.aligncenter, .alignnone, .alignright, .alignleft {
	display: block;
	margin: 1.6em auto;
	clear: both;
}

.alignleft {
	float: left;
	margin: .4em 2em 1em 0;
}

.alignright {
	float: left;
	margin: .4em 2em 1em 0;
}

article img {width: 110%; margin-left: -5%; margin-top: 30px; margin-bottom: 30px; }

blockquote.alignleft, blockquote.alignright {
	width: 50% !important;
	padding-bottom: 0;
}

blockquote cite {
	display: block;
	font-size: 12px;
	padding-right: 1em;
	margin-top: 16px;
	font-style: normal;
	font-weight: 400;
	color: #bbb;
	text-transform: uppercase;
	letter-spacing: 2px;
}

blockquote::before {
	display: block;
	content: "\e81a";
	line-height: 1;
	font-size: 18px;
	position: absolute;
	left: 0;
	top: -12px;
}

.icon, .icon::before, .alert::before, blockquote::before, .flex-direction-nav a::before, .toggle h4::before, .search-toggle::before, .menu-toggle::before, .social-toggle::before, .mask::before, .post-format::before, .selector::before, .checker span::before, .radio span::before, .uploader span.action::before {
	font-family: fontello;
	font-style: normal;
	font-weight: 400;
	speak: none;
	display: inline-block;
	text-decoration: inherit;
	text-align: center;
	font-variant: normal;
	text-transform: none;
}

.embed-responsive{
    margin:20px; 
}

h2 {
	font-size: 1.5em;
	margin: 1.0em 0 0.4em 0;
	line-height: 1.3;
}

hr {
	padding: .2em 0 1em 0;
	margin-bottom: 2em;
	outline: 0;
	border-width: 0 0 1px 0;
	border-style: solid;
	border-color: #eee;
}

p, li {
	font-size: 19px;
	line-height: 30px;
}

.site-title {
	text-indent: 20px;
	font-size: 1.4em;
    font-weight:600; 
	letter-spacing: -1px;
    color: #333}


.nav{
    font-weight: 700; 
}

.navbar-nav{ 
    padding:0; margin:0; 
    }
.navbar-nav li { 
    line-height: 1; font-size: 15px; font-weight: bold; margin-left: 12px; margin-right: 12px; 
    }
.navbar-nav li a { 
     padding: 0.9em 22px; border-bottom: 1px solid #E7E7E7; 
    color:#333; 
    }
    .navbar{
        padding:0; line-height: 1.8; 
    }

.blog-post-meta{
		font-weight: 100;
		font-size: 0.9em;
		font-variant: small-caps; 
		text-align: center; 
	}

	.blog-post-title {
		text-align: center; 
	}

	.blog-post-title a{
		color: #333;
	}

	.blog-main h1{
		font-variant: small-caps; 
		text-align: center;
	}

	.blog-summary-image{
		width: 90%;
		margin: 0 auto;  
		min-height: 150px; 
		background-position: center center; 
		background-size: cover; 
	}

	.card-custom{
		width: 90vw;
		margin: 0.5vw; 
		flex: 1; 
		max-width: 90vw; 
	}

	.card-custom a{
		color: #333; 
	}

	.card-custom a:hover{
		text-decoration: none; 
		background-blend-mode: screen; 
	}

	.card-topper{
		width: 90vw;
		height: 60vw;
		background-position: center center; 
		background-size: cover;
	}

	.menu-button{
		margin:25px; 
		border: thin grey solid; 
		padding: 5px; 
		border-radius: 10px; 
		position: relative; 
		display: inline-block;
		left: -10vw; 
		top: -1.5vh; 
	}

	.top-image
	{
		min-height: 150px;
		margin-bottom: 30px; 
	}


@media (min-width: 768px)
{
		.card-topper{
		width: 45vw;
		height: 25vw;
		background-position: center center; 
		background-size: cover;
	}
		.card-custom{
		width: 45vw;
		margin: 0.5vw; 
		flex: 1; 
		max-width: 45vw; 
	}
    h2 {
	font-size: 2.10em;
}
.top-image
	{
		min-height: 250px;
	}
blockquote {
	font-size: 2em !important;
	line-height: 1.3 !important;
}

}

@media (min-width: 1024px)
{
	.card-topper{
		width: 29vw;
		height: 17vw;
	}
.card-custom{
		width: 29vw;
		margin: 0.5vw; 
		max-width: 29vw;
	}
}

@media (min-width: 1279px)
{
	.card-topper{
		width: 22vw;
		height: 12.5vw;
	}
.card-custom{
		width: 22vw;
		margin: 0.5vw; 
		max-width: 22vw;
	}
	.top-image
	{
		min-height: 400px;
		margin-bottom: 75px;
	}
}
</style>
<link href="https://fonts.googleapis.com/css?family=Noticia+Text" rel="stylesheet"> 
<link rel="stylesheet" id="fontello-css" href="../../../wp-content/themes/readme/css/fonts/fontello/css/fontello.css" type="text/css" media="all">
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>




    <nav class="navbar navbar-toggleable-md">
      <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        Menu
      </button>
      <a class="site-title navbar-brand " href="../../../index.html">Strange Company</a>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav mr-auto mt-2 mt-md-0">
        <li class="nav-item"> 
          <a href="../../index.html" class="nav-link">Latest News</a>
        </li>
        <li class="nav-item"> 
          <a href="../../../articles/index.html" class="nav-link">Articles by Hugh</a>
        </li>
        <li class="nav-item"> 
          <a href="../../../about/index.html" class="nav-link">About Hugh Hancock And Strange Company</a>
        </li>
        <li class="nav-item"> 
          <a href="../../../vr/index.html" class="nav-link">My Virtual Reality Games</a>
        </li>
        <li class="nav-item"> 
          <a href="../../../films-and-comics/index.html" class="nav-link">My Movies And Comics</a>
        </li>
        <li class="nav-item"> 
          <a href="../../../other-projects/index.html" class="nav-link">My Other Projects</a>
        </li>
        <li class="nav-item"> 
          <a href="../../../contact/index.html" class="nav-link">Contact Me / Social Media</a>
        </li>
        </ul>
      </div>
   </nav>

<div class="container-fluid top-image" style="background-image: url( ../../../media/PriestessOfTheSun1.jpg  ); background-size:cover; background-position: center center"></div>
    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          

<h1>Latest News From Hugh</h1>





<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/the-film-responsible-for-machinima-com-and-my-career-is-back-online/">The Film Responsible For  Machinima.com And My Career Is Back Online!</a></h2>
    <p class="blog-post-meta"><time datetime="2013-11-29T14:13:00Z">Fri Nov 29, 2013</time></p>
  </header>
  <p>More than 15 years ago now, I was playing a game called &ldquo;Quake&rdquo;. Actually, I was playing a hell of a lot of it.</p>

<p>So much so that I started a news site about the burgeoning e-sport that ended up being the best-known one in the UK.</p>

<p>(Essentially, I was running an e-sports blog about five years before either the word &ldquo;blog&rdquo; or the phrase &ldquo;e-sports&rdquo; became a thing.)</p>

<p>I was also working toward becoming a novelist, because it seemed like the most accessible storytelling path for me. I&rsquo;d thought about trying to make films, but the type of films I&rsquo;d want to make were obviously far too big and expensive to even consider.</p>

<p>As a result, some of my Quake-playing buddies knew I wrote stories. And when some of them started messing around with the Quake game engine, making what were known at the time as &ldquo;Quake Movies&rdquo; in it, they asked me to come along and write them a story for what was to be the &ldquo;UK Quake Movie&rdquo;.</p>

<p><a href="http://www.strangecompany.org/media/Sequence-01.Still001.jpg"><img src="../../../media/Sequence-01.Still001-220x123.jpg" alt="Sequence 01.Still001" /></a>I, er, rather took over that project, and it ended up becoming the first part of a series called &ldquo;Eschaton&rdquo;. Set in the horror universe of H.P. Lovecraft, it had nothing to do with the game at all, but focused on a couple of people trying to survive in a near future when all sorts of strange cults and wierd magics were becoming possible, and it looked a bit like -</p>

<p>Well, I won&rsquo;t spoiler you.</p>

<p>About half-way through the making of the first film, Eschaton: Darkening Twilight, I realised that what I had here was something amazing: the very start of a way of making films that could transform the medium, and let me tell any story I wanted to. So I decided to drop out of University and found a company.</p>

<p>16 years later, the birth of Machinima.com, my subsequent filmmaking career from feature film to work with Electronic Arts to ending up in a recording booth discussing character motivation and manned Mars missions with Brian Blessed have all been the result of that decision, and that film.</p>

<p>Eschaton: Darkening Twilight was made to be played in Quake, so it&rsquo;s never really been available as conventional video.</p>

<p>I&rsquo;m very proud to say that today you can actually watch the film that started it all!</p>

<p>Note: Darkening Twilight was my first film, and so is the only one that has ever contained any un-cleared music. I&rsquo;ve left it in for historical reasons, but obviously if Warner Music don&rsquo;t like that, then we&rsquo;ll have to pull the film. In that case I&rsquo;ll do a 2013 edit and re-upload!</p>

  <a href='http://www.strangecompany.org/the-film-responsible-for-machinima-com-and-my-career-is-back-online/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/a-post-of-pretty-pictures/">A Post Of Pretty Pictures</a></h2>
    <p class="blog-post-meta"><time datetime="2013-11-22T18:36:51Z">Fri Nov 22, 2013</time></p>
  </header>
  

<p>On Thursday, I decided to take the test pipeline that I&rsquo;ve developed, and see how much I could push it in terms of scene assembly.</p>

<p>So, I set out to create three entirely different scenes within 4 hours - and it more or less worked.</p>

<p>Read on&hellip;</p>

<h2 id="forest-elf">Forest Elf</h2>

<p>My first test used a new character altogether, plus a new method of lighting with HDRI skies (new to me, not in general - it&rsquo;s a well-known higher-end technique).</p>

<p>Some mild editing of the camera setup and the sky gave me two completely different looks - I also am very happy with the character model in general here.</p>

<p>The forest behind her is actually completely computer-generated: I did nothing beyond say &ldquo;OK, give me some trees and some bushes, and some leaves on the ground&rdquo;.</p>

<p><a href="../../../media/Elf2.jpg"><img src="../../../media/Elf2.jpg" alt="Elf2" /></a></p>

<p><a href="../../../media/Elf3.jpg"><img src="../../../media/Elf3.jpg" alt="Elf3" /></a></p>

<h2 id="warrior-in-crypt">Warrior In Crypt</h2>

<p>It&rsquo;s worth noting here that I didn&rsquo;t optimise these tests to the characters and sets I already knew existed. Instead, I came up with very rough concepts for scenes completely out of the blue, and then attempted to create something matching that brief.</p>

<p>That&rsquo;s normally a much harder way around to work if you&rsquo;re partially relying on pre-created content, and in many Machinima production pipelines can cause no end of grief.</p>

<p>Here, though, the worst it did was inflict a slightly bad haircut!</p>

<p><a href="../../../media/Crypt-1.jpg"><img src="../../../media/Crypt-1.jpg" alt="Crypt 1" /></a></p>

<h2 id="temple-of-the-sun">Temple Of The Sun</h2>

<p>Finally I looked to produce a completely different image to the ones I&rsquo;d been creating already. Noticing that I was producing shadow-heavy or dark shots, I decided to do an interior shot, but one with loads of light.</p>

<p>I&rsquo;m not 100% happy with the character model here, although I think that&rsquo;s mostly down to the stiffness of the pose. That will be corrected when I fire up the motion capture, obviously.</p>

<p>The lighting, however, looks incredible - helped along by my finally discovering the post-processing functions in my renderer. Unfortunately, I learned afterward that I&rsquo;d been using exactly the wrong technique for this scene, which meant it took an age - a full minute! - to render. Traditional CG people will be laughing themselves silly here, but if I&rsquo;m looking to produce 30 minutes or more of animation a month, a minute per frame is too long to wait.</p>

<p>However, if I can improve the render speed, I love the quality&hellip;</p>

<p><a href="../../../media/PriestessOfTheSun.jpg"><img src="../../../media/PriestessOfTheSun.jpg" alt="PriestessOfTheSun" /></a></p>

  <a href='http://www.strangecompany.org/a-post-of-pretty-pictures/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/new-production-pipeline-test-1/">New Production Pipeline Test #1</a></h2>
    <p class="blog-post-meta"><time datetime="2013-11-20T16:34:20Z">Wed Nov 20, 2013</time></p>
  </header>
  <p>And here&rsquo;s our first new production pipeline mini-test: facial animation, mocap from Xsens&rsquo; MVN suits, procedural landscape, GPU rendering, the works.</p>

<p>What do you think?</p>

<p>Next step: something with a plot.</p>

  <a href='http://www.strangecompany.org/new-production-pipeline-test-1/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/machinima-style-puppetry-with-daz3d-characters-xbox-controller-and-motionbuilder/">Machinima-style Puppetry With Daz3d Characters, XBox Controller And Motionbuilder</a></h2>
    <p class="blog-post-meta"><time datetime="2013-11-12T18:16:16Z">Tue Nov 12, 2013</time></p>
  </header>
  <p>I&rsquo;m trying something new here: since All The Cool Kids Are Doing It, and I am a bloody filmmaker after all, I thought I&rsquo;d talk about the latest work I&rsquo;m doing in video rather than text form.</p>

<p>So, if you want to see my exciting experiments in solving the problem of animating characters&rsquo; faces fast using puppetry techniques and an XBox controller, watch on&hellip;</p>

  <a href='http://www.strangecompany.org/machinima-style-puppetry-with-daz3d-characters-xbox-controller-and-motionbuilder/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../../../im-developing-a-new-way-to-make-films-again/index.html">I&rsquo;m Developing A New Way To Make Films. Again.</a></h2>
    <p class="blog-post-meta"><time datetime="2013-11-07T16:56:06Z">Thu Nov 7, 2013</time></p>
  </header>
  <p>The one great bugbear for Machinima creators, of course, is law. Copyright law, EULAs, and other such things.</p>

<p>In spite of that, I&rsquo;ve felt for many years that the advantages of using game engine content at least balanced out the limitations and lawyering.</p>

<p>But for various reasons - some spectacular U-Turns from some of the more permissive games companies amongst them - I think the balance has tipped for me and Strange Company. It&rsquo;s time we developed a new way of making films that uses technology that gives us full ownership and control of our work.</p>

<p>So that&rsquo;s what I&rsquo;m going to be blogging about for the next while, as we navigate our way through the huge landscape of commercial tools for making sets, characters, animation, and more.</p>

<p>Fortunately, it&rsquo;s looking like it&rsquo;s a very exciting time to do this. Everyone&rsquo;s interested in faster content creation these days. From virtual sculpting and sewing to game-like character creation tools to procedural landscape generators like Minecraft on <em>really good drugs</em>, it&rsquo;s a new world from the bad old days of you&rsquo;ll-use-polygons-and-you&rsquo;ll-like-them.</p>

<p>And the old lessons of Machinima - &ldquo;realtime matters&rdquo;, &ldquo;work within your limitations&rdquo;, and &ldquo;think round problems, don&rsquo;t chip through them&rdquo; - are still as useful as ever.</p>

<p>Here&rsquo;s a first test of a couple of simple landscape creation tools and a new renderer - what do you think? It&rsquo;s not Pixar, but interestingly, the process of creating it, from scratch, is only about 15 minutes&hellip;</p>

<p><img src="../../../media/Terrain-With-Trees.jpg" alt="Terrain With Trees" /></p>

  <a href='../../../im-developing-a-new-way-to-make-films-again/index.html'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/has-game-design-become-a-democratic-artform/">Has Game Design Become A Democratic Artform?</a></h2>
    <p class="blog-post-meta"><time datetime="2013-09-25T13:08:27Z">Wed Sep 25, 2013</time></p>
  </header>
  

<p>So, as I mentioned on Sunday, this August I did something I&rsquo;ve never done before: <a href="../../../eye-of-the-tower-my-entry-for-the-oculus-rift-vrjam/index.html">I made a game</a>.
<img src="../../../media/WIP1-220x124.jpg" alt="WIP1" />
For those who don&rsquo;t know who I am: I&rsquo;m a professional Machinima film producer. I make the kind of animated movies you&rsquo;re probably most familiar with from AAA in-game cinematics.</p>

<p>I&rsquo;ve been involved in Machinima, and through it the games world, for nearly 15 years. We worked on the cutscenes for an AAA title with Electronic Arts and Ritual Entertainment back in 2001. We&rsquo;ve had source code access to enough cutting-edge 3D engines that I&rsquo;ve actually forgotten how many it is in total.</p>

<p>But I&rsquo;ve never made a game. Movies are my passion, and frankly, I&rsquo;ve been close enough to AAA game development to appreciate just how much insanely hard work it is.</p>

<p>So why the hell did I break that streak for the VRJam? Read on&hellip;</p>

<h3 id="game-development-has-been-revolutionised">Game Development Has Been Revolutionised</h3>

<p>I had <strong>no idea</strong> how advanced game development tools had gotten.</p>

<p>Old-school Web developers will remember the time before there were any Web-specific languages, and you had to code everything in Perl or C. When we founded Machinima.com back in 2000, that&rsquo;s how we did it - and it was a nightmare. The moment when tools like PHP, and then later Ruby on Rails and Node.js, arrived was a revelation.</p>

<p>There&rsquo;s a reason the famous Ruby on Rails <a href="http://www.youtube.com/watch?v=tUH1hewXnC0">&ldquo;blog in 10 minutes&rdquo;</a> video caused Web developers to gasp. All of a sudden, the languages and tools you were using understood what you wanted to do.</p>

<p>Rather than having to write 40 lines of code to pull info from a database, the tools assumed you&rsquo;d want to do that. It felt like a Star Trek moment: &ldquo;Computer, make me a content management system. Name, content and date fields. Make it so.&rdquo;</p>

<p>Well, game development tools have gotten to that point.</p>

<h3 id="six-hours-for-a-basic-first-person-shooter">Six HOURS For A Basic First-Person Shooter?</h3>

<p>This is actually the reason I decided to enter the VRJam at all: I&rsquo;d been doing development with the Oculus Rift as part of a different project, and needed a 3D engine to work with.</p>

<p>I chose <a href="http://www.unity3d.com">Unity 3D</a> because it supported the Oculus Rift, and because I&rsquo;d had a brush with Unreal&rsquo;s import tools and didn&rsquo;t want that experience a second time. I wasn&rsquo;t expecting much out of it. Based on all my previous experiences with 3D engines, I was expecting to spend about 10 hours getting my viewpoint moving on a flat plane with the Rift, and to then evaluate if there was any chance of actually making something useful.</p>

<p><strong>Six hours</strong> of development time later, I had a working first-person shooter.</p>

<p>It was controlled using the Razer Hydra. It had an animated opponent, simple AI, a map, multiple projectiles, movement, and game mechanics.</p>

<p>I&rsquo;d managed to test everything I had loosely scheduled for the first month or so in an evening.</p>

<p>That&rsquo;s what made me enter the VRJam.</p>

<p>Previously, I would have assumed that a three-week development cycle was only really open to people who could work on it as a team, full-time: hardcore coders and dedicated art guys working their asses off for those three weeks to make a demo.</p>

<p>Turns out, one numpty with a half-forgotten knowledge of C and about a day a week spare can now not only enter a contest like that, but actually finish a reasonably entertaining game.</p>

<p>From the point of someone who has been watching this stuff for the past two decades, that&rsquo;s a revolution on the level of digital video or the word processor.</p>

<p>Game development has been democratised.</p>

<h3 id="so-what-makes-this-so-possible">So What Makes This So Possible?</h3>

<p>I can&rsquo;t speak for other modern engines right now, but the startling things about Unity, for me, can be broken down into three parts: streamlining, user-generated content and community.</p>

<h4 id="designed-for-the-job">Designed For The Job</h4>

<p><img src="../../../media/Assets.jpg" alt="Assets" />The basic tools within Unity are extremely well designed with small indie game development in mind as their primary purpose.</p>

<p>From previous experience, that&rsquo;s not something that most game engines have focussed on - hardly surprising, because they&rsquo;re designed for multi-million-dollar projects, not tiny, underfunded indies. They focus on the complex toolchains that big games need.</p>

<p>Unity, by contrast, has clearly been designed to Get Shit Done Fast.</p>

<p>Creating the bones of a first- or third-person game takes minutes: there are built-in, intuitive tools to create lights and a level.</p>

<p>The UI just works if you&rsquo;re at all familiar with 3D design. And built-in prefab libraries mean that enabling first-person controls, for example, is as simple as dragging a box marked &ldquo;first-person controller&rdquo; into the game world.</p>

<p>The code design is tremendously intelligent. Programming is graphically linked and referenced within the engine.</p>

<p>Once you&rsquo;ve written a simple script to fire a fireball, for example (about 6 lines of code - the engine natively understands physics, so you can just say &ldquo;give this a force of 10 in the X direction when the fire button is pressed&rdquo;), you can adjust all the variables from within the GUI, without having to touch the script. You can cause a script to reference other objects by creating a variable in the script, then dragging the object into the box which appears in the GUI.</p>

<p>And I found that - much like my first experience of Ruby on Rails - everything I needed to do for my application had already been considered in the engine.</p>

<p>Need to check what 3D object is under the mouse click? Two lines of code.</p>

<p>Need to create an expanding sphere which does damage to any object inside it then vanishes? About 5 lines of code.</p>

<p>Want to fire a projectile which bounces off static objects and knocks moving ones back depending on their relative weight? Three lines of code.</p>

<h4 id="the-asset-store">The Asset Store</h4>

<p><img src="../../../media/AssetStore.jpg" alt="AssetStore" />Unity&rsquo;s clearly learned from the modding community around games like Quake, Skyrim and Neverwinter Nights. They&rsquo;ve managed to set their asset management up such that add-ons can just be dragged and dropped into a project and they&rsquo;ll work.</p>

<p>(Again, this is very reminiscent of Ruby on Rails and its &ldquo;gem&rdquo; architecture.)</p>

<p>That&rsquo;s how the Oculus Rift support works, for example. No recompiling, no fiddling around with .cnf or .ini files - just drag the package file into your project, grab the &ldquo;OVRPlayerController&rdquo; prefab and drop it into your scene.</p>

<p>Bingo - you&rsquo;ve now got an Oculus Rift game.</p>

<p>Added to that, Unity has a marketplace where developers can sell their tools. It&rsquo;s astonishingly active: if you want to write a Minecraft-a-like, for example, you can just search for &ldquo;voxel&rdquo; and 8 different solutions for generating voxel terrain in Unity pop up. Want an orc model? I stopped counting around 15 different orc options.</p>

<p>Hundreds of developers have figured out that indie game development is a thing, and that they can make money off that thing.</p>

<p>And Unity provides a way for developers to sell tools for game development without having to build an entire damn engine.</p>

<p>That means that hundreds of tools, add-on libraries and ready-made art assets are just sitting there, waiting to be used.</p>

<p>Some of these tools are practically full-fledged engines on their own - like the UniRPG framework, which transforms Unity into a startlingly simple-to-use RPG creator.</p>

<p>Others are extremely advanced in other ways - there are no less than two voxel cone global illumination projects coming in the next month or so, for example.</p>

<p>Practically speaking, the Asset Store means that provided you don&rsquo;t mind using pre-canned art, you can make $100 do the work of $10,000 - or a few hundred hours of artist time - in your development process. (I&rsquo;m not kidding - <a href="http://u3d.as/content/xiaolianhuastudio/make-your-fantasy-game-fantasy-environment-assets/4aG">some of the $100 art packs</a> would easily take 300 hours of artist time to assemble.)</p>

<p>Many of the assets are even free.</p>

<p>Rather than having to painstakingly assemble a whole bunch of terrain textures, for example, I could just search for &ldquo;terrain texture&rdquo;. There was a free pack of a bunch of good ones - three clicks and I had them in my project.</p>

<h4 id="community">Community</h4>

<p><img src="../../../media/Answers.jpg" alt="Answers" />Finally, the fact that Unity&rsquo;s so good, and that a whole lot of people are getting into game design right now, means that there&rsquo;s a massive, massive community out there. And that hugely cuts down on development time.</p>

<p>It was my experience that it&rsquo;s very hard to hit the point where you can&rsquo;t find an answer to a problem whils using Unity.</p>

<p>In previous 3D engines, I&rsquo;ve spent a lot of time re-reading and re-re-reading minimal, out of date documentation. I&rsquo;ve spent time experimenting and trying to understand why something that clearly should work doesn&rsquo;t.</p>

<p>At one point when working with the Neverwinter Nights engine on our <a href="http://www.bloodspell.com">Creative Commons feature film BloodSpell</a>, for example, we only discovered how to turn off an annoying haloing effect right at the end of 4 years of project development.</p>

<p>With Unity, I&rsquo;d have just googled &ldquo;turn off selection halo unity&rdquo; and had 25 answers, three videos, and a Kindle ebook showing me how to do that in seconds. I know I sound like a bit of a cheerleader here, but seriously, it&rsquo;s true.</p>

<p>There are tons of tutorial videos out there showing, step-by-step, how to make everything from an RPG to a tower defence game to a Call of Duty clone. There are discussions and Stack Overflow-style posts on every programming question I managed to think of in three weeks of development. And if you manage to come up with a question you can&rsquo;t answer, there are about a dozen places you can post that question and get answers in a few hours.</p>

<p>Frankly, coming from a world where that sort of documentation just doesn&rsquo;t exist, it&rsquo;s incredible - in the sense that I can&rsquo;t quite believe it.</p>

<p>Neither Machinima nor professional 3D graphics have anything like this - try finding a comprehensive guide to Motionbuilder&rsquo;s motion retargeting controls, for example. And it makes the game design process more democratic, faster, and - yes - more fun.</p>

<h3 id="sometimes-it-doesn-t-work">Sometimes It Doesn&rsquo;t Work</h3>

<p>Unity certainly hasn&rsquo;t managed to revolutionise everything.</p>

<p>Graphical effects, for example, are still pretty hard work - I gave up on getting ground fog working as I wanted it to (although that may have been a Rift problem), and projectile trails didn&rsquo;t work at all as advertised. I still ended up hacking shader code - although that was made easier by the millions of community answers - and generally found that graphics were a bit of a roadblock.</p>

<p><img src="../../../media/Fireball.jpg" alt="Fireball" /></p>

<p>There are specific points in the scripting where the easy-to-use framework breaks down somewhat - for example, I found it a pain in the ass to reference variables within one script from another script if they were both prefabs.</p>

<p>And I notice that 3D art assets, particularly characters, might be available on the Asset Store, but they&rsquo;re often expensive.</p>

<p>My understanding is that Unity has some performance issues if you push it hard, particularly on mobiles.</p>

<p>Finally, the Unity renderer itself doesn&rsquo;t exactly cover itself in glory.</p>

<p>There aren&rsquo;t shaders for cutting-edge techniques like Screen-Space Directional Occlusion shader available, to the best of my knowledge. Their Screen-Space Ambient Occlusion shader - pretty vital for competitive graphics quality - is fairly terrible. Overall, getting Unreal- or Cryengine-quality graphics out of Unity will be &hellip; tricky.</p>

<p>But that&rsquo;s not really the point: whilst Machinima types like me might obsess over high-end graphics, for indie games, good enough is good enough.</p>

<h3 id="are-games-further-ahead-than-films-now">Are Games Further Ahead Than Films Now?</h3>

<p>Yes, I think they might be.</p>

<p>The indie gaming scene appears to have stolen a march on just about everyone over the last 10 years. Fueled by the mod scene and successes like Braid and <a href="http://www.minecraft.com">Minecraft</a>, game development seems to have gone from something even more inaccessible than film production to an artform that anyone with a few evenings available and some willingness to learn can participate in.</p>

<p>Sure, big games still take forever. And game development boards are still filled with threads about keeping up motivation and not quitting when it gets tough.</p>

<p>But so are messageboards for novellists.</p>

<p>At this point, it looks like game dev might - for well-chosen projects, at least - be the third artform after writing and music to become truly democratic in the digital age.</p>

<p>Art should be democratised.</p>

<p>Everyone should be able to tell their story or make their experience.</p>

<p>And it looks like the last 5-10 years, whilst I was looking elsewhere, have seen that become true for games development.</p>

<p><em>What do you think of all this? Have games really been democratised? I&rsquo;d love to hear from you!</em></p>

  <a href='http://www.strangecompany.org/has-game-design-become-a-democratic-artform/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../../../eye-of-the-tower-my-entry-for-the-oculus-rift-vrjam/index.html">Eye Of The Tower: My Entry For The Oculus Rift VRJam</a></h2>
    <p class="blog-post-meta"><time datetime="2013-09-21T11:57:47Z">Sat Sep 21, 2013</time></p>
  </header>
  <p>Ever wanted to be Sauron?</p>

<p>Well, now you can - if you have an Oculus Rift, at least.</p>

<p><img src="../../../media/logo_small.jpg" alt="logo_small" /></p>

<p>When I decided to compete in the <a href="http://www.oculusvr.com/vrjam/">Oculus Rift Game Jam</a>, I started hunting around for an idea that would use the Rift to best effect. And the thought that came to mind was</p>

<p>&ldquo;OK, if you&rsquo;ve got a Rift on, you&rsquo;re basically a floating eye in space. What character is just a giant, floating eye - oh.&rdquo;</p>

<p>And so, Eye Of The Tower. In which you play a giant eye atop a tower, trying to defend itself from the horde of invading enemies with eyebeams of death and the assistance of its loyal bomb-carrying minion, Igor.</p>

<div class="embed-responsive embed-responsive-16by9">
  <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/WUSn6Oee5D4" frameborder="0" allowfullscreen></iframe>
</div>

<p>This is the first time I&rsquo;ve ever actually developed a computer game, and it was a fascinating experience - I&rsquo;ve got a postmortem of the entire thing coming up in a few days on this blog.</p>

<p>But for now, here&rsquo;s the game itself! Whilst it wasn&rsquo;t one of the finalists in the VRJam, I&rsquo;ve had very good feedback from everyone who has tried it, gamers and non-gamers alike. See what you think!</p>

<p><a href="https://www.dropbox.com/s/wlz7xnwfi1akn26/Eye%20Of%20The%20Tower.zip">Download Eye Of The Tower</a></p>

<p>I&rsquo;d be very interested to hear if you&rsquo;ve played Eye Of The Tower and what you thought! Please let me know below.</p>

  <a href='../../../eye-of-the-tower-my-entry-for-the-oculus-rift-vrjam/index.html'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/oculus-rift-for-filmmaking-first-test-results-download/">Oculus Rift For Filmmaking: First Test Results + Download</a></h2>
    <p class="blog-post-meta"><time datetime="2013-08-16T18:44:10Z">Fri Aug 16, 2013</time></p>
  </header>
  

<p>So, <a href="../../../5-thoughts-from-a-month-with-the-oculus-rift/index.html">I mentioned a while ago</a> that I&rsquo;d be talking more about the Oculus Rift&rsquo;s applications for filmmakers, performance capture people, Machinima creators, and so on.</p>

<p>And so, today I&rsquo;m sharing something I&rsquo;ve been working with: a very, very early test of the potential for camerawork in the Oculus Rift.</p>

<p><img src="../../../media/RiftCamera-image.jpg" alt="RiftCamera-image" /></p>

<p>You can download the application (for PC/Windows) at the bottom of this post, along with some instructions. But first, I&rsquo;d like to point out the massive improvement that the Rift makes straight away - which you almost certainly wouldn&rsquo;t spot from anything but a Rift demo.</p>

<h2 id="the-camera-in-a-world">The Camera IN a World</h2>

<p>I&rsquo;ve been developing virtual camera systems - repeatedly - for 15 years at this point. In fact, I developed our first camera technology, NiSplit, for my second film, Eschaton: Nightfall. To give you an idea of how long ago that was, we got sponsorship on that film from a little games company that was just starting to develop a name for itself. They had a funny logo of a man with a valve in the back of his head, and were deep in development hell on their first big game, called &ldquo;Half-Life&rdquo;&hellip;</p>

<p>Since then, I&rsquo;ve consulted on a whole bunch of virtual camera systems, including the Machinima suite <a href="https://www.dropbox.com/s/jl6jh9pr6edpfbn/StrangecoFilmingAlpha.zip">Moviestorm</a>, and I&rsquo;ve built everything from cameras that inject themselves into a game&rsquo;s .dll to full-on virtual filmmaking suites. I thought I had a pretty good handle on all the problems of virtual cameras, from control systems (pro tip: the X-Box controller is about the best virtual cameraman&rsquo;s tool out there short of James Cameron&rsquo;s Volume) to spline smoothing.</p>

<p><img src="../../../media/RiftCamera-Image2-220x172.jpg" alt="RiftCamera-Image2" />But a few minutes wandering around in the Rift with a crappy virtual camera reveals a side of virtual filmmaking I&rsquo;d never even thought of.</p>

<p>When you&rsquo;re shooting film in the real world, you see, your camera takes up just a tiny portion of your visual field most of the time. As a result, your brain&rsquo;s constantly reviewing the scene as you see it, considering alternate angles, coming up with different ideas for takes.</p>

<p>And here&rsquo;s the thing I&rsquo;d never thought of: in most virtual filmmaking systems, from Second Life to Maya, your camera is your <em>entire</em> viewport onto the scene.</p>

<p>That means that unless you&rsquo;ve carefully storyboarded or are very disciplined about experimenting with angles, you&rsquo;ll tend to get stuck in a rut. I&rsquo;ve known that this was a bit of a problem in virtual filmmaking for a while - it&rsquo;s easy to get stuck in a groove of similar shots - but I&rsquo;d never considered that the reason was the 2-dimensional, 24-inch window you&rsquo;re looking at your scene through - until I put on the Rift, and grabbed a camera.</p>

<p>Even with the very limited controls in the demo below, it&rsquo;s immediately obvious that this is a different way of virtual filmmaking. I found myself constantly looking around the world, beyond the confines of my screen. I was immediately much more flexible with my shots, trying a whole bunch of different angles, different setups, incorporating elements of the scene that I couldn&rsquo;t see through my camera, but could see in the world.</p>

<p>There are a lot of other things that I want to try with the Rift, and a lot of things missing from this demo. I&rsquo;m really interested to try tracking shots with the Rift, for example - setting up a path for the camera, then free-looking using the Rift to control camera angle. Compared to overly-smooth splined paths or jerky mouse-movement, I think this could produce a really interesting &ldquo;handheld&rdquo; effect.</p>

<p>And I want to try smoothing the Rift&rsquo;s output for a Steadicam look - potentially vomit-inducing, but also potentially awesome.</p>

<p>But I wasn&rsquo;t expecting such a profound difference, and such potential, from such a simple demo. And that says to me that the Oculus Rift could be very big indeed for computer animation.</p>

<p>I&rsquo;m looking forward to finding out more of what it can do.</p>

<h2 id="download-rift-camerawork-test-0-1">Download Rift Camerawork Test 0.1</h2>

<h3 id="download-the-application-here-https-www-dropbox-com-s-jl6jh9pr6edpfbn-strangecofilmingalpha-zip"><a href="https://www.dropbox.com/s/jl6jh9pr6edpfbn/StrangecoFilmingAlpha.zip">Download the application here</a></h3>

<p>.</p>

<p>Controls are standard first-person mouse and keyboard. You can move the &ldquo;camera&rdquo; screen in front of you up and down with the mouse wheel - that&rsquo;ll also move the camera, so you can get high shots that way.</p>

<p>Left and right mouse buttons control the view angle of the camera, up or down.</p>

<p>The camera&rsquo;s currently locked to your horizontal view with the Rift. That&rsquo;s a problem - I really want to get this demo working &ldquo;tank-style&rdquo;, so that looking around doesn&rsquo;t move the camera or change your movement direction, but I haven&rsquo;t figured out how to do that.</p>

<p>Let me know what you think!</p>

  <a href='http://www.strangecompany.org/oculus-rift-for-filmmaking-first-test-results-download/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/gorillaz-animator-joins-death-knight-love-story/">Gorillaz animator joins Death Knight Love Story</a></h2>
    <p class="blog-post-meta"><time datetime="2013-08-09T19:31:22Z">Fri Aug 9, 2013</time></p>
  </header>
  <p>Death Knight Love Story Part 1 is moving full steam ahead right now. Ross is actively working on the score, the edit is locked, and we&rsquo;ve got yet more awesome news about people joining the team!</p>

<p>One thing that&rsquo;s not immediately obvious about an animated film like DKLS is the number of different specialities and types of animation it contains. We&rsquo;re using <a href="../../../7-terrible-truths-about-motion-capture-suits-part-1/index.html">motion capture</a> for the animation of our characters&rsquo; bodies, of course - but that&rsquo;s not the whole story. We still need to animate their faces - their lips, their eyes and eyebrows, everything that gives them life.</p>

<p>And so we&rsquo;ve decided that on this project, we&rsquo;re going to take that problem to an expert.</p>

<p><img src="../../../media/Tom.jpg" alt="Tom" />I had absolutely no idea there was a new animation studio in Edinburgh, so when I found <a href="http://www.interferencepattern.com/">Interference Pattern</a> on a random Google search, I was pretty interested immediately.</p>

<p>And after sitting down with Tom Bryant, the man behind the studio, I was bloody thrilled. He&rsquo;s got years of experience - over a decade in the industry working for people like Passion Pictures and Axis Animation. He&rsquo;s worked on things like Oscar winner &ldquo;The Lost Thing&rdquo; and the ground-breaking animated videos for band <a href="http://en.wikipedia.org/wiki/Gorillaz">Gorillaz</a>. And yet, he&rsquo;s completely willing to step out of his comfort zone and work on the crazy, improvised mish-mash of performance capture, Machinima and game-style real-time 3D that is Death Knight Love Story.</p>

<p>Yep, Tom and his team have joined us to produce the facial animation for DKLS - and it&rsquo;s looking goddamn awesome. He&rsquo;s already come up with a super-flexible face system that solves all the problems we were having, and now they&rsquo;re plowing into the animation proper.</p>

<p>I&rsquo;ve spent most of this morning bouncing timings back and forth with Tom as we untangle 4 years of animation with 2 different motion capture systems - my directory structure alone is a nightmare - and I should have some initial footage of our fully animated faces for you soon!</p>

  <a href='http://www.strangecompany.org/gorillaz-animator-joins-death-knight-love-story/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="http://www.strangecompany.org/bafta-nominated-composer-joins-the-death-knight-love-story-team/">BAFTA-nominated composer joins Death Knight Love Story</a></h2>
    <p class="blog-post-meta"><time datetime="2013-07-31T14:49:21Z">Wed Jul 31, 2013</time></p>
  </header>
  <p><img src="../../../media/ross.jpg" alt="ross" />We have some very cool news on Death Knight Love Story today!</p>

<p>For those of you who don&rsquo;t know - Death Knight Love Story (DKLS) is our epic performance-captured action-romance set in World of Warcraft, which we&rsquo;ve been working on for 4 years now. (I&rsquo;ll explain why in an upcoming blog post.)</p>

<p>Quite apart from the motion capture (and the entire film is motion-captured), DKLS isn&rsquo;t your usual World of Warcraft Machinima piece.</p>

<p>It stars the voices of Brian Blessed, Joanna Lumley, Jack Davenport and Anna Chancellor. In other words, this is the big one for Strange Company!</p>

<p>Well, today we&rsquo;re adding another awesome name to the production team! Yes, I&rsquo;m delighted to say that BAFTA-nominated composer <a href="http://rosscampbellmusic.co.uk/">Ross Campbell</a> will be joining us to compose the soundtrack for DKLS.</p>

<p>Ross is best known for his work on the long-running and massively successful Scottish crime series &ldquo;Taggart&rdquo;, but he&rsquo;s done far more than that - ranging right from work with the Orchestra of Scottish Opera to <a href="http://en.wikipedia.org/wiki/Push_the_Feeling_On">hit singles</a> with pioneering house music band Nightcrawlers!</p>

<p>I&rsquo;ve been discussing the score with Ross today, and we&rsquo;ve already got some very cool ideas floating around, with inspirations ranging from Howard Shore&rsquo;s score for Lord of the Rings to Toru Takemitsu&rsquo;s score for Akira Kurosawa&rsquo;s &ldquo;Ran&rdquo;. We&rsquo;re starting work on the soundtrack in earnest next week.</p>

<p>More news to come soon, including a look at the process of scoring a film like DKLS!</p>

  <a href='http://www.strangecompany.org/bafta-nominated-composer-joins-the-death-knight-love-story-team/'>Read more →</a>
</article> 

<hr style="margin-bottom: 100px;">



<nav class="blog-pagination">
  
  <a class="btn btn-outline-primary" href="../4/index.html" role="button">Previous page</a>
  <a class="btn btn-outline-primary" href="http://www.strangecompany.org/news/page/6/" role="button">Next page</a>
  
  
  
</nav>




        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">

    </footer>
<script src="https://code.jquery.com/jquery-3.1.1.slim.min.js" integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js" integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js" integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn" crossorigin="anonymous"></script>
  </body>

</html>
